/*
  Library support for FlexRadio 6000 Rigs
  Copyright (C)2015 Vincenzo Stefanazzi - IW7DMH. All right reserved

  This library is free software; you can redistribute it and/or
  modify it under the terms of the CC BY-NC-SA 3.0 license.
  https://creativecommons.org/licenses/by-nc-sa/3.0/
  
  The license applies to all part of the library including the 
  examples and tools supplied with the library.
*/
#ifndef FlexCat_h
#define FlexCat_h
#include "Arduino.h"
#include "FlexRig.h"  

class FlexCat
{
 public:
	
    FlexCat();
	void process(FlexRig &fRig);
	void sendFA(int RF_freq);
	void sendFB(int RF_freq);
	

 private:
    String buffer;
	int AI=0;
	void parseRequest(String r,FlexRig &fRig);
	int getMd(int intMode);
	int getZzmd(int intMode,int cwlEnabled);
	int getMox(String state);
	int getFr(int inUseA,int inUseB,int txA,int txB);
	int getFt(int inUseA,int inUseB,int txA,int txB);
};

#endif
